MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024921Community[OCCT] OCCT:Modeling Algorithmspublic2014-05-14 15:152014-11-11 12:52
Reporterdrazmyslovich 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024921: ShapeAnalysis_Curve::ValidateRange doesn't adjust the range for periodic curves
DescriptionDue to the false sequence of conditional checks ShapeAnalysis_Curve::ValidateRange function doens't fixes the bad ranges of periodic curves
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0029323)
drazmyslovich (developer)
2014-05-14 15:18

Please, review the patch
(0029329)
gka (developer)
2014-05-14 16:37

Branch CR0024991 is ready to be tested
(0029373)
apn (administrator)
2014-05-16 14:41
edited on: 2014-05-16 14:42

Dear BugMaster,

Branch CR0024921 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: 7944299cc34945684c9d5463e3f5c53e35d13bd3

Number of compiler warnings:

occt component :
Linux: 17 (17 on master)
Windows: 0 (0 on master)
MacOS: 205 (212 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 356654332 / 356598036
Total CPU difference: 60007.089999999786 / 51363.47999999977

Testing on Windows:
Total MEMORY difference: 379985740 / 380248492
Total CPU difference: 33671.359375 / 35796.078125

There are no differences in images found by testdiff.


- Related Changesets
occt: master 72952ef2
Timestamp: 2014-05-14 11:16:16
Author: razmyslovich
Committer: apn
Details ] Diff ]
0024921: ShapeAnalysis_Curve::ValidateRange doesn't adjust the range for periodic curves

Fix the sequence of conditional checks and always try to adjust the range for periodic curves
mod - src/ShapeAnalysis/ShapeAnalysis_Curve.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-14 15:15 drazmyslovich New Issue
2014-05-14 15:15 drazmyslovich Assigned To => drazmyslovich
2014-05-14 15:18 drazmyslovich Note Added: 0029323
2014-05-14 15:18 drazmyslovich Status new => resolved
2014-05-14 16:00 abv Assigned To drazmyslovich => gka
2014-05-14 16:00 abv Target Version Unscheduled => 6.8.0
2014-05-14 16:37 gka Note Added: 0029329
2014-05-14 16:37 gka Status resolved => reviewed
2014-05-14 16:38 apn Assigned To gka => apn
2014-05-16 14:41 apn Note Added: 0029373
2014-05-16 14:42 apn Note Edited: 0029373 View Revisions
2014-05-16 14:42 apn Test case number => Not needed
2014-05-16 14:42 apn Assigned To apn => bugmaster
2014-05-16 14:42 apn Status reviewed => tested
2014-05-23 14:25 apn Changeset attached => occt master 72952ef2
2014-05-23 14:25 apn Assigned To bugmaster => apn
2014-05-23 14:25 apn Status tested => verified
2014-05-23 14:25 apn Resolution open => fixed
2014-06-17 12:47 user533 Project Open CASCADE => Community
2014-11-11 12:46 user533 Fixed in Version => 6.8.0
2014-11-11 12:52 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker